id: aspnet-framework-exceptions

info:
  name: ASP.NET Framework Exceptions
  author: Aayush Dhakal
  severity: info
  description: Detects suspicious ASP.NET framework exceptions that could indicate exploitation attempts
  reference:
    - https://docs.microsoft.com/en-us/dotnet/api/system.web.httpexception
  tags: file,logs,aspnet

file:
  - extensions:
      - all

    extractors:
      - type: regex
        name: exception
        part: body
        regex:
          - 'HttpException'
          - 'InvalidOperationException'
          - 'UnauthorizedAccessException'
          - 'NotFound'
# digest: 490a0046304402206b935b1bf0ac7415d1970b453ca840cdea7029c7a8701333c9b238cb49868ce002204ec78e95e1f1d01beda71c9e1fa9fc79836df32c748afa6b0f9ba1fb99011d5f:922c64590222798bb761d5b6d8e72950